curator-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nandor Kracser (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CURATOR-41) Curator masks/loses exception in LockInternals
Date Sat, 22 Feb 2014 10:40:19 GMT

    [ https://issues.apache.org/jira/browse/CURATOR-41?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13909328#comment-13909328
] 

Nandor Kracser commented on CURATOR-41:
---------------------------------------

Throwable#getSuppressed() is already in [JDK 7|http://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html#getSuppressed()].

> Curator masks/loses exception in LockInternals
> ----------------------------------------------
>
>                 Key: CURATOR-41
>                 URL: https://issues.apache.org/jira/browse/CURATOR-41
>             Project: Apache Curator
>          Issue Type: Bug
>          Components: Recipes
>            Reporter: Shevek
>             Fix For: TBD
>
>
>     private boolean internalLockLoop(long startMillis, Long millisToWait, String ourPath)
throws Exception
>         try {
>         ...
>         }
>         catch ( Exception e )
>         {
>             doDelete = true;
>             throw e;
>         }
>         finally
>         {
>             if ( doDelete )
>             {
>                 deleteOurPath(ourPath);
>             }
>         }
> Say ... throws an exception. catch sets doDelete = true. Then deleteOurPath throws an
exception. We never find out what the original exception was that caused the mutex to fail.
> In JDK8, I think we get the extra Throwable#getSuppressed() call, which will return us
this extra exception, but we aren't on JDK8 yet.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message